
From: Paul Mackerras <paulus@samba.org>

This patch is from Jimi Xenidis <jimix@watson.ibm.com>.

The hvcs driver does not register a devfs_name resulting in devfs creating
/dev/<NULL>* entries.  The following one line patch remedies the problem.

Signed-off-by: Jimi Xenidis <jimix@watson.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/hvcs.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/char/hvcs.c~fix-devfs-name-for-the-hvcs-driver drivers/char/hvcs.c
--- 25/drivers/char/hvcs.c~fix-devfs-name-for-the-hvcs-driver	2005-02-04 02:25:19.487676480 -0800
+++ 25-akpm/drivers/char/hvcs.c	2005-02-04 02:25:19.491675872 -0800
@@ -1363,6 +1363,7 @@ static int __init hvcs_module_init(void)
 
 	hvcs_tty_driver->driver_name = hvcs_driver_name;
 	hvcs_tty_driver->name = hvcs_device_node;
+	hvcs_tty_driver->devfs_name = hvcs_device_node;
 
 	/*
 	 * We'll let the system assign us a major number, indicated by leaving
_
